Overview

Request 1439 (accepted)

Updated to version 0.19.4. Please move to Multimedia rather than Essentials as needs libmpdclient to build. Plus not really essential...

Submit package home:malcolmlewis:branches:Essentials / mpd to package Multimedia / mpd

mpd.changes Added
x
 
1
@@ -0,0 +1,743 @@
2
+-------------------------------------------------------------------
3
+Sat Nov 22 00:18:09 UTC 2014 - malcolmlewis@opensuse.org
4
+
5
+-Update to version 0.19.4:
6
+  + Protocol:
7
+    * Workaround for buggy clients that send "add /".
8
+  + Decoder:
9
+    * Ffmpeg: support opus.
10
+    * Opus: add MIME types audio/ogg and application/ogg.
11
+    * Fix crash on failed filename charset conversion.
12
+    * Fix local socket detection from uid=0 (root).
13
+- Changes from version 0.19.3:
14
+  + Protocol:
15
+    * Fix "(null)" result string to "list" when AlbumArtist is
16
+      disabled.
17
+  + Database:
18
+    * Upnp: fix breakage due to malformed URIs.
19
+  + Input:
20
+    * Curl: another fix for redirected streams.
21
+  + Decoder
22
+    * Audiofile: fix crash while playing streams.
23
+    * Audiofile: fix bit rate calculation.
24
+    * Ffmpeg: support opus.
25
+    * Opus: fix bogus duration on streams.
26
+    * Opus: support chained streams.
27
+    * Opus: improved error logging.
28
+  + Fix distorted audio with soxr resampler.
29
+- Changes from version 0.19.2:
30
+  + Input:
31
+    * Curl: fix redirected streams.
32
+  + Playlist:
33
+    * Don't allow empty playlist name.
34
+    * M3u: don't ignore unterminated last line.
35
+    * M3u: recognize the file suffix ".m3u8".
36
+  + Decoder:
37
+    * Ignore URI query string for plugin detection.
38
+    * Faad: remove workaround for ancient libfaad2 ABI bug.
39
+    * Ffmpeg: recognize MIME type audio/aacp.
40
+    * Mad: fix negative replay gain values.
41
+  + Output:
42
+    * Fix memory leak after filter initialization error.
43
+    * Fall back to PCM if given DSD sample rate is not supported.
44
+  + Fix assertion failure on unsupported PCM conversion.
45
+  + Auto-disable plugins that require GLib when --disable-glib is
46
+    used.
47
+- Changes from version 0.19.1:
48
+  + Input:
49
+    * Mms: fix deadlock bug.
50
+  + Playlist:
51
+    * Extm3u: fix Extended M3U detection.
52
+    * M3u, extm3u, cue: fix truncated lines.
53
+  + Add missing file systemd/mpd.socket to tarball.
54
+- Changes from version 0.19:
55
+  + Protocol:
56
+    * new commands "addtagid", "cleartagid", "listfiles",
57
+      "listmounts", "listneighbors", "mount", "rangeid", "unmount".
58
+    * "lsinfo" and "readcomments" allowed for remote files.
59
+    * "listneighbors" lists file servers on the local network.
60
+    * "playlistadd" supports file:///.
61
+    * "idle" with unrecognized event name fails.
62
+    * "list" on album artist falls back to the artist tag.
63
+    * "list" and "count" allow grouping.
64
+    * New "search"/"find" filter "modified-since".
65
+    * "seek*" allows fractional position.
66
+    * Close connection after syntax error.
67
+  + Database:
68
+    * Proxy: forward "idle" events.
69
+    * Proxy: forward the "update" command.
70
+    * Proxy: copy "Last-Modified" from remote directories.
71
+    * Simple: compress the database file using gzip.
72
+    * Upnp: new plugin.
73
+    * Cancel the update on shutdown.
74
+  + Storage:
75
+    * music_directory can point to a remote file server.
76
+    * Nfs: new plugin.
77
+    * Smbclient: new plugin.
78
+  + Playlist:
79
+    * Cue: fix bogus duration of the last track.
80
+    * Cue: restore CUE tracks from state file.
81
+    * Soundcloud: use https instead of http.
82
+    * Soundcloud: add default API key.
83
+  + Archive:
84
+    * Read tags from songs in an archive.
85
+  + Input:
86
+    * Alsa: new input plugin.
87
+    * Curl: options "verify_peer" and "verify_host".
88
+    * Ffmpeg: update offset after seeking.
89
+    * Ffmpeg: improved error messages.
90
+    * Mms: non-blocking I/O.
91
+    * Nfs: new input plugin.
92
+    * Smbclient: new input plugin.
93
+  + Filter
94
+    * Volume: improved software volume dithering.
95
+  + Decoder:
96
+    * Vorbis, flac, opus: honor DESCRIPTION= tag in Xiph-based
97
+      files as a comment to the song.
98
+    * Audiofile: support scanning remote files.
99
+    * Audiofile: log libaudiofile errors.
100
+    * Dsdiff, dsf: report bit rate.
101
+    * Dsdiff, dsf: implement seeking.
102
+    * Dsf: support DSD512.
103
+    * Dsf: support multi-channel files.
104
+    * Dsf: fix big-endian bugs.
105
+    * Dsf: fix noise at end of malformed file.
106
+    * Mpg123: support ID3v2, ReplayGain and MixRamp.
107
+    * Sndfile: support scanning remote files.
108
+    * Sndfile: support tags "comment", "album", "track", "genre".
109
+    * Sndfile: native floating point playback.
110
+    * Sndfile: optimized 16 bit playback.
111
+    * Mp4v2: support playback of MP4 files.
112
+  + Encoder:
113
+    * Shine: new encoder plugin.
114
+  + Output:
115
+    * Alsa: support native DSD playback.
116
+    * Alsa: rename "DSD over USB" to "DoP".
117
+  + Threads:
118
+    * The update thread runs at "idle" priority.
119
+    * The output thread runs at "real-time" priority.
120
+    * Increase kernel timer slack on Linux.
121
+    * Name each thread (for debugging).
122
+  + Configuration:
123
+    * Allow playlist directory without music directory.
124
+    * Use XDG to auto-detect "music_directory" and "db_file".
125
+  + Add tags "AlbumSort", "MUSICBRAINZ_RELEASETRACKID".
126
+  + Disable global Latin-1 fallback for tag values.
127
+  + New resampler option using libsoxr.
128
+  + ARM NEON optimizations.
129
+  + Install systemd unit for socket activation.
130
+- Rebase mpd-sndfile-vorbis.patch and mpd-mpdconf_suse.patch.
131
+- Drop mpd-wavpack.patch and mpd-0.17.4-ffmpeg2.patch as now code
132
+  has been re-written.
133
+- Drop configure options for soup, lastfm and mvp and respective
134
+  build requirements.
135
+- Enable boost and libmpdclient option at configure time and add
136
+  respective build requirements.
137
+- Add libicu-devel to build requirements.
138
+- Disable libwrap configure option as build fails.
139
+- Disable other unused plugins and encoders.
140
+- Clean up spec file for systemd.
141
+
142
+-------------------------------------------------------------------
143
+Fri Nov  8 20:31:50 UTC 2013 - obs@botter.cc
144
+
145
+- add Type=forking to mpd.service.
146
+
147
+-------------------------------------------------------------------
148
+Fri Sep 20 11:16:19 UTC 2013 - obs@botter.cc
149
+
150
+- Update to 0.17.5:
151
+  * protocol:
152
+    - fix "playlistadd" with URI
153
+    - fix "move" relative to current when there is no current song
154
+  * decoder:
155
+    - ffmpeg: support "application/flv"
156
+    - mikmod: adapt to libmikmod 3.2
157
+  * configure.ac:
158
+    - detect system "ar"
159
+- use gentoo's patch for compiling with ffmpeg 2.x
160
+- add own service file (PM-79)
161
+
162
+-------------------------------------------------------------------
163
+Tue Jun 18 16:46:32 UTC 2013 - fisiu@opensuse.org
164
+
165
+- Update to 0.17.4:
166
+  * protocol:
167
+    - allow to omit END in ranges (START:END)
168
+    - don't emit IDLE_PLAYER before audio format is known
169
+  * decoder:
170
+    - ffmpeg: support float planar audio (ffmpeg 1.1)
171
+    - ffmpeg: fix AVFrame allocation
172
+  * player:
173
+    - implement missing "idle" events on output errors
174
+  * clock: fix build failure
175
+
176
+-------------------------------------------------------------------
177
+Thu Mar 28 22:22:13 UTC 2013 - fisiu@opensuse.org
178
+
179
+- Update to 0.17.3:
180
+  * output:
181
+    - osx: fix pops during playback
182
+    - recorder: fix I/O error check
183
+    - shout: fix memory leak in error handler
184
+    - recorder, shout: support Ogg packets that span more than one page
185
+  * decoder:
186
+    - ffmpeg: ignore negative time stamps
187
+    - ffmpeg: support planar audio
188
+  * playlist:
189
+    - cue: fix memory leak
190
+    - cue: fix CUE files with only one track
191
+- Drop mpd-systemd_require_network_first.patch: fixed upstream.
192
+
193
+-------------------------------------------------------------------
194
+Thu Feb 14 21:31:45 UTC 2013 - zaitor@opensuse.org
195
+
196
+- Add explicit pkgconfig(bzip2) BuildRequires for 12.3 and newer.
197
+
198
+-------------------------------------------------------------------
199
+Fri Oct 19 08:00:35 UTC 2012 - pascal.bleser@opensuse.org
200
+
201
+- disable roaraudio support, pulls in ridiculous deps
202
+
203
+-------------------------------------------------------------------
204
+Fri Oct 19 07:51:29 UTC 2012 - pascal.bleser@opensuse.org
205
+
206
+- fix systemd unit script to require network to be started prior to
207
+  mpd, thanks to Jean Delvare for the patch
208
+
209
+- update to 0.17.2:
210
+  * protocol:
211
+    - fix crash in local file check
212
+  * decoder:
213
+    - fluidsynth: remove throttle (requires libfluidsynth 1.1)
214
+    - fluidsynth: stop playback at end of file
215
+    - fluidsynth: check MIDI file format while scanning
216
+    - fluidsynth: add sample rate setting
217
+    - wavpack: support all APEv2 tags
218
+  * output:
219
+    - httpd: use monotonic clock, avoid hiccups after system clock adjustment
220
+    - httpd: fix throttling bug after resuming playback
221
+  * playlist:
222
+    - cue: map "PERFORMER" to "artist" or "album artist"
223
+  * mapper: fix non-UTF8 music directory name
224
+  * mapper: fix potential crash in file permission check
225
+  * playlist: fix use-after-free bug
226
+  * playlist: fix memory leak
227
+  * state_file: save song priorities
228
+  * player: disable cross-fading in "single" mode
229
+  * update: fix unsafe readlink() usage
230
+
231
+- changes from 0.17.1:
232
+  * protocol:
233
+    - require appropriate permissions for searchadd{,pl}
234
+  * tags:
235
+    - aiff: support the AIFC format
236
+    - ape: check for ID3 if no usable APE tag was found
237
+  * playlist:
238
+    - cue: support file types "MP3", "AIFF"
239
+  * output:
240
+    - fix noisy playback with conversion and software volume
241
+
242
+-------------------------------------------------------------------
243
+Tue Jul 17 17:43:59 UTC 2012 - pascal.bleser@opensuse.org
244
+
245
+- update to 0.17:
246
+  * protocol:
247
+    - support client-to-client communication
248
+    - "update" and "rescan" need only "CONTROL" permission
249
+    - new command "seekcur" for simpler seeking within current song
250
+    - new command "config" dumps location of music directory
251
+    - add range parameter to command "load"
252
+    - print extra "playlist" object for embedded CUE sheets
253
+    - new commands "searchadd", "searchaddpl"
254
+  * input:
255
+    - cdio_paranoia: new input plugin to play audio CDs
256
+    - curl: enable CURLOPT_NETRC
257
+    - curl: non-blocking I/O
258
+    - soup: new input plugin based on libsoup
259
+  * tags:
260
+    - RVA2: support separate album/track replay gain
261
+  * decoder:
262
+    - mpg123: implement seeking
263
+    - ffmpeg: drop support for pre-0.5 ffmpeg
264
+    - ffmpeg: support WebM
265
+    - oggflac: delete this obsolete plugin
266
+    - dsdiff: new decoder plugin
267
+  * output:
268
+    - alsa: support DSD-over-USB (dCS suggested standard)
269
+    - httpd: support for streaming to a DLNA client
270
+    - openal: improve buffer cancellation
271
+    - shout: add possibility to set url
272
+    - roar: new output plugin for RoarAudio
273
+  * mixer:
274
+    - alsa: listen for external volume changes
275
+  * playlist:
276
+    - allow references to songs outside the music directory
277
+    - new CUE parser, without libcue
278
+    - soundcloud: new plugin for accessing soundcloud.com
279
+  * state_file: add option "restore_paused"
280
+  * cue: show CUE track numbers
281
+  * allow port specification in "bind_to_address" settings
282
+  * support floating point samples
283
+  * systemd socket activation
284
+  * improve --version output
285
+
286
+-------------------------------------------------------------------
287
+Sun May  6 21:40:31 UTC 2012 - fisiu@opensuse.org
288
+
289
+- Update to 0.16:8:
290
+  * fix for libsamplerate assertion failure
291
+  * decoder:
292
+    - vorbis (and others): fix seeking at startup
293
+    - ffmpeg: read the "year" tag
294
+  * encoder:
295
+    - vorbis: generate end-of-stream packet before tag
296
+    - vorbis: generate end-of-stream packet when playback ends
297
+  * output:
298
+    - jack: check for connection failure before starting playback
299
+    - jack: workaround for libjack1 crash bug
300
+    - osx: fix stuttering due to buffering bug
301
+  * fix endless loop in text file reader
302
+  * update: skip symlinks in path that is to be updated
303
+- spec-cleaner'ed spec file
304
+
305
+-------------------------------------------------------------------
306
+Mon Feb  6 23:11:20 UTC 2012 - pascal.bleser@opensuse.org
307
+
308
+- update to 0.16.7:
309
+  * input:
310
+    - ffmpeg: support libavformat 0.7
311
+  * decoder:
312
+    - ffmpeg: support libavformat 0.8, libavcodec 0.9
313
+    - ffmpeg: support all MPD tags
314
+  * output:
315
+    - httpd: fix excessive buffering
316
+    - openal: force 16 bit playback, as 8 bit doesn't work
317
+  * fix moving after current song
318
+
319
+- add mpd-user.conf to doc files, copy to ~/.mpd/mpd.conf for user centric
320
+  setup
321
+- add tcpd and mkisofs support
322
+
323
+-------------------------------------------------------------------
324
+Thu Dec 22 00:00:00 UTC 2011 - detlef@links2linux.de
325
+
326
+- new upstream version <0.16.6>
327
+
328
+-------------------------------------------------------------------
329
+Sun Oct 23 00:00:00 UTC 2011 - detlef@links2linux.de
330
+
331
+- new upstream version <0.16.5>
332
+
333
+-------------------------------------------------------------------
334
+Fri Oct 07 00:00:00 UTC 2011 - detlef@links2linux.de
335
+
336
+- new upstream version <0.16.4>
337
+
338
+-------------------------------------------------------------------
339
+Fri Aug 05 00:00:00 UTC 2011 - detlef@links2linux.de
340
+
341
+- new upstream version <0.16.3>
342
+
343
+-------------------------------------------------------------------
344
+Thu Mar 24 00:00:00 UTC 2011 - detlef@links2linux.de
345
+
346
+- new upstream version <0.16.2>
347
+
348
+-------------------------------------------------------------------
349
+Fri Jan 14 00:00:00 UTC 2011 - detlef@links2linux.de
350
+
351
+- new upstream version <0.16.1>
352
+
353
+-------------------------------------------------------------------
354
+Sun Dec 12 00:00:00 UTC 2010 - detlef@links2linux.de
355
+
356
+- new upstream version <0.16>
357
+
358
+-------------------------------------------------------------------
359
+Sat Nov 13 00:00:00 UTC 2010 - detlef@links2linux.de
360
+
361
+- new upstream version <0.15.15>
362
+
363
+-------------------------------------------------------------------
364
+Wed Oct 13 00:00:00 UTC 2010 - detlef@links2linux.de
365
+
366
+- new upstream version <0.15.13>
367
+  * output_thread: fix race condition after CANCEL command
368
+  * output:
369
+    - httpd: fix random data in stream title
370
+    - httpd: MIME type audio/ogg for Ogg Vorbis
371
+  * input:
372
+    - rewind: update MIME not only once
373
+    - rewind: enable for MMS
374
+
375
+-------------------------------------------------------------------
376
+Wed Jul 21 00:00:00 UTC 2010 - detlef@links2linux.de
377
+
378
+- new upstream version <0.15.12>
379
+  * input:
380
+    - curl: remove assertion after curl_multi_fdset()
381
+  * tags:
382
+    - rva2: set "gain", not "peak"
383
+  * decoders:
384
+    - wildmidi: support version 0.2.3
385
+
386
+-------------------------------------------------------------------
387
+Fri Jul 16 00:00:00 UTC 2010 - detlef@links2linux.de
388
+
389
+- new upstream version <0.15.11>
390
+  * tags:
391
+    - ape: support album artist
392
+  * decoders:
393
+    - mp4ff: support tags "album artist", "albumartist", "band"
394
+    - mikmod: fix memory leak
395
+    - vorbis: handle uri==NULL
396
+    - ffmpeg: fix memory leak
397
+    - ffmpeg: free AVFormatContext on error
398
+    - ffmpeg: read more metadata
399
+    - ffmpeg: fix libavformat 0.6 by using av_open_input_stream()
400
+  * playlist: emit IDLE_OPTIONS when resetting single mode
401
+  * listen: make get_remote_uid() work on BSD
402
+
403
+-------------------------------------------------------------------
404
+Mon May 31 00:00:00 UTC 2010 - detlef@links2linux.de
405
+
406
+- new upstream version <0.15.10>
407
+  * input:
408
+    - mms: fix memory leak in error handler
409
+    - mms: initialize the "eof" attribute
410
+  * decoders:
411
+    - mad: properly calculate ID3 size without libid3tag
412
+
413
+-------------------------------------------------------------------
414
+Tue Mar 23 00:00:00 UTC 2010 - detlef@links2linux.de
415
+
416
+- new upstream version <0.15.9>
417
+  * decoders:
418
+    - mad: fix crash when seeking at end of song
419
+    - mpcdec: fix negative shift on fixed-point samples
420
+    - mpcdec: fix replay gain formula with v8
421
+  * playlist: fix single+repeat in random mode
422
+  * player: postpone song tags during cross-fade
423
+
424
+-------------------------------------------------------------------
425
+Wed Jan 27 00:00:00 UTC 2010 - detlef@links2linux.de
426
+
427
+- new upstream version <0.15.8>
428
+  * input:
429
+    - curl: allow rewinding with Icy-Metadata
430
+  * decoders:
431
+    - ffmpeg, flac, vorbis: added more flac/vorbis MIME types
432
+    - ffmpeg: enabled libavformat's file name extension detection
433
+  * dbUtils: return empty tag value only if no value was found
434
+  * decoder_thread: fix CUE track playback
435
+  * queue: don't repeat current song in consume mode
436
+
437
+-------------------------------------------------------------------
438
+Tue Jan 12 00:00:00 UTC 2010 - detlef@links2linux.de
439
+
440
+- fix init script
441
+
442
+-------------------------------------------------------------------
443
+Tue Dec 29 00:00:00 UTC 2009 - detlef@links2linux.de
444
+
445
+- new upstream version <0.15.7>
446
+  * archive:
447
+    - close archive when stream is closed
448
+    - iso, zip: fixed memory leak in destructor
449
+  * input:
450
+    - file: don't fall back to parent directory
451
+    - archive: fixed memory leak in error handler
452
+  * tags:
453
+    - id3: fix ID3v1 charset conversion
454
+  * decoders:
455
+    - eliminate jitter after seek failure
456
+    - ffmpeg: don't try to force stereo
457
+    - wavpack: allow fine-grained seeking
458
+  * mixer: explicitly close all mixers on shutdown
459
+  * mapper: fix memory leak when playlist_directory is not set
460
+  * mapper: apply filesystem_charset to playlists
461
+  * command: verify playlist name in the "rm" command
462
+  * database: return multiple tag values per song
463
+
464
+-------------------------------------------------------------------
465
+Fri Nov 20 00:00:00 UTC 2009 - detlef@links2linux.de
466
+
467
+- new upstream version <0.15.6>
468
+  * input:
469
+    - lastfm: fixed variable name in GLib<2.16 code path
470
+    - input/mms: require libmms 0.4
471
+  * archive:
472
+    - zzip: require libzzip 0.13
473
+  * tags:
474
+    - id3: allow 4 MB RIFF/AIFF tags
475
+  * decoders:
476
+    - ffmpeg: convert metadata
477
+    - ffmpeg: align the output buffer
478
+    - oggflac: rewind stream after FLAC detection
479
+    - flac: fixed CUE seeking range check
480
+    - flac: fixed NULL pointer dereference in CUE code
481
+  * output_thread: check again if output is open on PAUSE
482
+  * update: delete ignored symlinks from database
483
+  * database: increased maximum line length to 32 kB
484
+
485
+-------------------------------------------------------------------
486
+Wed Oct 21 00:00:00 UTC 2009 - detlef@links2linux.de
487
+
488
+- new upstream version <0.15.5>
489
+  * input:
490
+    - curl: don't abort if a packet has only metadata
491
+    - curl: fixed endless loop during buffering
492
+  * tags:
493
+    - riff, aiff: fixed "limited range" gcc warning
494
+  * decoders:
495
+    - flac: fixed two memory leaks in the CUE tag loader
496
+  * decoder_thread: change the fallback decoder name to "mad"
497
+  * output_thread: check again if output is open on CANCEL
498
+  * update: fixed memory leak during container scan
499
+
500
+-------------------------------------------------------------------
501
+Tue Sep  1 00:00:00 UTC 2009 - detlef@links2linux.de
502
+
503
+- new upstream version <0.15.3>
504
+  * Document nextsong and nextsongid
505
+  * update: don't re-read unchanged container files
506
+  * output_init: initialize the "pause" flag
507
+  * decoder/vorbis: faster tag scanning with ov_test_callback()
508
+
509
+-------------------------------------------------------------------
510
+Tue Aug 18 00:00:00 UTC 2009 - detlef@links2linux.de
511
+
512
+- new upstream version <0.15.2>
513
+  * tags:
514
+    - ape: check the tag size (fixes integer underflow)
515
+    - ape: added protection against large memory allocations
516
+  * decoders:
517
+    - mad: skip ID3 frames when libid3tag is disabled
518
+    - flac: parse all replaygain tags
519
+    - flac: don't allocate cuesheet twice (memleak)
520
+  * output:
521
+    - shout: fixed stuck pause bug
522
+    - shout: minimize the unpause latency
523
+  * update: free empty path string (memleak)
524
+  * update: free temporary string in container scan (memleak)
525
+  * directory: free empty directories after removing them (memleak)
526
+
527
+-------------------------------------------------------------------
528
+Sat Jul 18 00:00:00 UTC 2009 - detlef@links2linux.de
529
+
530
+- new upstream version <0.15.1>
531
+
532
+-------------------------------------------------------------------
533
+Sat Feb 14 00:00:00 UTC 2009 - detlef@links2linux.de
534
+
535
+- new upstream version <0.14.2>
536
+  * Modify version string to post-release version 0.14.2~git
537
+  * mpd version 0.14.2
538
+  * ffmeg: added support for the tags comment, genre, year
539
+  * mikmod: call MikMod_Exit() only in the finish() method
540
+  * jack: register ports before activating clients
541
+  * jack: allocate ring buffers before connecting
542
+  * jack: clear "shutdown" flag on reconnect
543
+  * jack: reduced sleep time to 1ms
544
+  * mapper: remove trailing slashes from music_directory
545
+  * mapper: ignore duplicate slashes in playlists
546
+  * wavpack: pass NULL if the .wvc file fails to open
547
+  * player_thread: set player error when output device fails
548
+  * shout_mp3: free the lame_data struct on exit
549
+  * shout_mp3: call lame_close() in clear_encoder() method
550
+  * ffmpeg: print codec name
551
+  * ffmpeg: don't warn of empty packet output
552
+  * ffmpeg: check if the time stamp is valid
553
+  * ffmpeg: fixed seek integer overflow
554
+  * shout: removed shout_data.shout_error
555
+  * shout: removed shout_data.tag_to_send
556
+  * shout: switch to blocking mode
557
+  * shout: use libshout's synchronization
558
+  * shout: don't postpone metadata
559
+  * shout: clear buffer before calling the encoder
560
+  * configure.ac: define HAVE_FFMPEG after all checks
561
+  * ffmpeg: added TTA support
562
+  * aac: fix stream metadata
563
+  * update: recursively purge deleted directories
564
+  * update: free deleted subdirectories
565
+  * ffmpeg: enable WAV streaming
566
+
567
+-------------------------------------------------------------------
568
+Mon Jan 19 00:00:00 UTC 2009 - detlef@links2linux.de
569
+
570
+- new upstream version <0.14.1>
571
+  * decoders:
572
+    - mp4: support the writer/composer tag
573
+    - id3: strip leading and trailing whitespace from ID3 tags
574
+    - oggvorbis: fix tremor support
575
+    - oggvorbis: disable seeking on remote files
576
+  * audio outputs:
577
+    - jack: allocate default port names (fixes a crash)
578
+  * update:
579
+    - refresh stats after update
580
+    - save the database even if it is empty
581
+  * input_curl:
582
+    - use select() to eliminate busy loop during connect
583
+    - honour http_proxy_* config directives
584
+    - fix assertion failure on "connection refused"
585
+    - fix assertion failure with empty HTTP responses
586
+  * corrected the sample calculation in the fallback resampler
587
+  * log: automatically append newline
588
+  * fix setenv() conflict on Solaris
589
+  * configure.ac: check for pkg-config before using it
590
+  * fix minor memory leak in decoder_tag()
591
+  * fix cross-fading bug: it used to play some chunks of the new song twice
592
+  * playlist
593
+    - fix assertion failure during playlist load
594
+    - implement Fisher-Yates shuffle properly
595
+    - safely search the playlist for deleted song
596
+  * use custom PRNG for volume dithering (speedup)
597
+  * detect libid3tag without pkg-config
598
+
599
+
600
+-------------------------------------------------------------------
601
+Sat Dec 27 00:00:00 UTC 2008 - detlef@links2linux.de
602
+
603
+- new upstream version <0.14>
604
+
605
+-------------------------------------------------------------------
606
+Fri Jun 20 00:00:00 UTC 2008 - detlef@links2linux.de
607
+
608
+- new upstream version <0.13.2>
609
+
610
+-------------------------------------------------------------------
611
+Wed Jan 30 00:00:00 UTC 2008 - detlef@links2linux.de
612
+
613
+- new upstream version <0.13.1>
614
+
615
+-------------------------------------------------------------------
616
+Fri Jul 13 00:00:00 UTC 2007 - detlef@links2linux.de
617
+
618
+- add BuildRequires: libmikmod
619
+- add BuildRequires: libmikmod-devel for > 1020
620
+
621
+-------------------------------------------------------------------
622
+Tue May 29 00:00:00 UTC 2007 - detlef@links2linux.de
623
+
624
+- new upstream version <0.13.0>
625
+
626
+-------------------------------------------------------------------
627
+Mon Mar 26 00:00:00 UTC 2007 - detlef@links2linux.de
628
+
629
+- new upstream version
630
+
631
+-------------------------------------------------------------------
632
+Mon Nov 13 00:00:00 UTC 2006 - detlef@links2linux.de
633
+
634
+- no resmgr for 10.2, use group audio
635
+
636
+-------------------------------------------------------------------
637
+Fri Oct 13 00:00:00 UTC 2006 - detlef@links2linux.de
638
+
639
+- new upstream version
640
+
641
+-------------------------------------------------------------------
642
+Thu Sep 28 00:00:00 UTC 2006 - detlef@links2linux.de
643
+
644
+- new upstream version
645
+
646
+-------------------------------------------------------------------
647
+Mon Sep 25 00:00:00 UTC 2006 - detlef@links2linux.de
648
+
649
+- new upstream version
650
+
651
+-------------------------------------------------------------------
652
+Sat Sep  2 00:00:00 UTC 2006 - detlef@links2linux.de
653
+
654
+- new upstream version
655
+
656
+-------------------------------------------------------------------
657
+Sun Aug 20 00:00:00 UTC 2006 - detlef@links2linux.de
658
+
659
+- new upstream version
660
+
661
+-------------------------------------------------------------------
662
+Fri Aug 11 00:00:00 UTC 2006 - detlef@links2linux.de
663
+
664
+- new upstream version
665
+
666
+-------------------------------------------------------------------
667
+Fri Jul 28 00:00:00 UTC 2006 - detlef@links2linux.de
668
+
669
+- new SVN-Snapshot
670
+
671
+-------------------------------------------------------------------
672
+Mon Dec  5 00:00:00 UTC 2005 - malakhanov@gmx.de
673
+
674
+- finally force mpd to work with resmgr
675
+
676
+-------------------------------------------------------------------
677
+Mon Jul 11 00:00:00 UTC 2005 - malakhanov@gmx.de
678
+
679
+- modified for x64 build
680
+
681
+-------------------------------------------------------------------
682
+Mon Mar 22 00:00:00 UTC 2004 - malakhanov@gmx.de
683
+
684
+- modified for SUSE/Packman. Init script courtesy of  Davide Lucchesi <odiobill@despammed.com>, 2003
685
+
686
+-------------------------------------------------------------------
687
+Wed Mar 10 00:00:00 UTC 2004 - gbpeck@sbcglobal.net
688
+
689
+- Rebuild for official release
690
+
691
+-------------------------------------------------------------------
692
+Mon Mar  8 00:00:00 UTC 2004 - gbpeck@sbcglobal.net
693
+
694
+- Version 0.10.1
695
+
696
+-------------------------------------------------------------------
697
+Wed Mar  3 00:00:00 UTC 2004 - gbpeck@sbcglobal.net
698
+
699
+- Version 0.10.0
700
+- Add audiofile-devel builddep (for wav support)
701
+- Add AUTHORS to docs
702
+
703
+-------------------------------------------------------------------
704
+Fri Feb  6 00:00:00 UTC 2004 - gbpeck@sbcglobal.net
705
+
706
+- Rebuild with mach
707
+
708
+-------------------------------------------------------------------
709
+Wed Jan 21 00:00:00 UTC 2004 - gbpeck@sbcglobal.net
710
+
711
+- Version 0.9.4
712
+
713
+-------------------------------------------------------------------
714
+Thu Oct 30 00:00:00 UTC 2003 - gbpeck@sbcglobal.net
715
+
716
+- Version 0.9.3
717
+
718
+-------------------------------------------------------------------
719
+Tue Oct  7 00:00:00 UTC 2003 - gbpeck@sbcglobal.net
720
+
721
+- Version 0.9.2
722
+
723
+-------------------------------------------------------------------
724
+Tue Sep 30 00:00:00 UTC 2003 - gbpeck@sbcglobal.net
725
+
726
+- Version 0.9.1
727
+- Add BuildRequires on alsa-lib-devel
728
+- Add versioned Requires on libao and libao-devel (from the debian
729
+  control file)
730
+
731
+-------------------------------------------------------------------
732
+Thu Sep  4 00:00:00 UTC 2003 - gbpeck@sbcglobal.net
733
+
734
+- Version 0.8.7
735
+
736
+-------------------------------------------------------------------
737
+Mon Aug 18 00:00:00 UTC 2003 - gbpeck@sbcglobal.net
738
+
739
+- Version 0.8.5
740
+
741
+-------------------------------------------------------------------
742
+Thu Aug 14 00:00:00 UTC 2003 - gbpeck@sbcglobal.net
743
+
744
+- Initial build
745
mpd.spec Added
249
 
1
@@ -0,0 +1,247 @@
2
+# vim: set sw=4 ts=4 et nu:
3
+# Copyright (c) 2012 Pascal Bleser <pascal.bleser@opensuse.org>
4
+#
5
+# All modifications and additions to the file contributed by third parties
6
+# remain the property of their copyright owners, unless otherwise agreed
7
+# upon. The license for this file, and modifications and additions to the
8
+# file, is the same license as for the pristine package itself (unless the
9
+# license for the pristine package is not an Open Source License, in which
10
+# case the license is the MIT License). An "Open Source License" is a
11
+# license that conforms to the Open Source Definition (Version 1.9)
12
+# published by the Open Source Initiative.
13
+
14
+# Please submit bugfixes or comments via http://bugs.links2linux.org/
15
+
16
+
17
+Name:           mpd
18
+Version:        0.19.4
19
+Release:        0
20
+License:        GPL-3.0+
21
+Summary:        Music Player Daemon
22
+Url:            http://www.musicpd.org/
23
+Group:          Productivity/Multimedia/Sound/Players
24
+Source:         http://www.musicpd.org/download/mpd/0.19/mpd-%{version}.tar.xz
25
+Source1:        %{name}.init
26
+Source2:        README.%{name}
27
+Source3:        mpd-user.conf
28
+Source4:        mpd.service
29
+# PATCH-FEATURE-OPENSUSE mpd-mpdconf_suse.patch --
30
+Patch0:         %{name}-mpdconf_suse.patch
31
+# PATCH-FIX-OPENSUSE mpd-sndfile-vorbis.patch --
32
+Patch2:         mpd-sndfile-vorbis.patch
33
+BuildRequires:  alsa-devel
34
+BuildRequires:  audiofile-devel
35
+BuildRequires:  automake
36
+BuildRequires:  autoconf
37
+BuildRequires:  boost-devel
38
+BuildRequires:  cdrkit-cdrtools-compat
39
+BuildRequires:  faad2-devel
40
+BuildRequires:  flac-devel
41
+BuildRequires:  gcc-c++
42
+BuildRequires:  libao-devel
43
+BuildRequires:  libavahi-devel
44
+BuildRequires:  libavahi-glib-devel
45
+BuildRequires:  libcdio-devel
46
+%if 0%{?suse_version} >= 1220
47
+BuildRequires:  libcdio-paranoia-devel
48
+%endif
49
+BuildRequires:  libcue-devel
50
+BuildRequires:  libcurl-devel
51
+BuildRequires:  libffmpeg-devel
52
+BuildRequires:  libmpdclient-devel
53
+BuildRequires:  libsndfile-devel
54
+%if 0%{?suse_version} >= 1230
55
+BuildRequires:  pkgconfig(bzip2)
56
+%endif
57
+BuildRequires:  tcpd-devel
58
+BuildRequires:  pkgconfig(glib-2.0)
59
+%if 0%{?suse_version} > 1100
60
+%if 0%{?suse_version} <= 1130
61
+BuildRequires:  fluidsynth-devel
62
+%else
63
+BuildRequires:  libfluidsynth-devel
64
+%endif
65
+%endif
66
+BuildRequires:  libicu-devel
67
+BuildRequires:  libid3tag-devel
68
+BuildRequires:  libjack-devel
69
+BuildRequires:  libmad-devel
70
+BuildRequires:  libmikmod-devel
71
+BuildRequires:  libmms-devel
72
+BuildRequires:  libmodplug-devel
73
+BuildRequires:  libmp3lame-devel
74
+BuildRequires:  libmp4v2-devel
75
+BuildRequires:  libmpcdec-devel
76
+BuildRequires:  libmpg123-devel
77
+BuildRequires:  libogg-devel
78
+BuildRequires:  libpulse-devel
79
+BuildRequires:  libsamplerate-devel
80
+BuildRequires:  libshout-devel
81
+BuildRequires:  libvorbis-devel
82
+%if 0%{?suse_version} >= 1140
83
+BuildRequires:  libyajl1-devel
84
+%endif
85
+BuildRequires:  openal-soft-devel
86
+BuildRequires:  sqlite3-devel
87
+%if 0%{?suse_version} >= 1210
88
+BuildRequires:  systemd-devel
89
+%endif
90
+BuildRequires:  udev
91
+BuildRequires:  wavpack-devel
92
+BuildRequires:  xmlto
93
+%if 0%{?suse_version} >= 1130
94
+BuildRequires:  zziplib-devel
95
+%endif
96
+%if 0%{?suse_version} < 1130
97
+BuildRequires:  libzziplib-devel
98
+%endif
99
+BuildRequires:  zip
100
+%if 0%{?suse_version} >= 1120
101
+BuildRequires:  libgme-devel
102
+%endif
103
+BuildRoot:      %{_tmppath}/%{name}-%{version}-build
104
+
105
+%description
106
+A daemon for playing music (mp3, ogg vorbis, flac, and wav).  Music is
107
+played through the server's audio device.  The daemon stores info
108
+about all available music, and this info can be easily searched and
109
+retrieved.  Player control, info retrieval, and playlist management
110
+can all be managed remotely. There a bunch of clients to control mpd:
111
+for Gnome, KDE, console and Apache (PHP).
112
+
113
+Please read README.mpd how to configure it.
114
+
115
+%prep
116
+%setup -q
117
+%patch0 -p1
118
+%patch2 -p1
119
+
120
+%build
121
+#Need to run as makefile.in built with later version of automake. 
122
+ -x autogen.sh  && NOCONFIGURE=1 ./autogen.sh
123
+%configure \
124
+        --enable-debug \
125
+        --enable-ao \
126
+        --enable-audiofile \
127
+        --enable-bzip2 \
128
+        --enable-cdio-paranoia \
129
+        --enable-curl \
130
+        --enable-ffmpeg \
131
+        --enable-flac \
132
+%if 0%{?suse_version} > 1100
133
+        --enable-fluidsynth \
134
+%endif
135
+        --enable-httpd-output \
136
+        --enable-id3 \
137
+        --enable-iso9660 \
138
+        --enable-jack \
139
+   --enable-libmpdclient \
140
+        --enable-lsr \
141
+        --enable-mikmod \
142
+        --enable-mms \
143
+        --enable-openal \
144
+        --enable-pulse \
145
+        --enable-recorder-output \
146
+        --enable-shout \
147
+        --enable-sqlite \
148
+%if 0%{?suse_version} >= 1210
149
+        --enable-systemd-daemon \
150
+%endif
151
+        --enable-vorbis \
152
+        --enable-vorbis-encoder \
153
+        --enable-wave-encoder \
154
+        --enable-wavpack \
155
+        --enable-zzip \
156
+   --with-boost=yes \
157
+   --disable-libwrap \
158
+   --disable-soxr \
159
+   --disable-smbclient \
160
+   --disable-nfs \
161
+   --disable-upnp \
162
+   --disable-adplug \
163
+   --disable-opus \
164
+   --disable-mpc \
165
+   --disable-sidplay \
166
+   --disable-wildmidi \
167
+   --disable-shine-encoder \
168
+   --disable-lame-encoder \
169
+   --disable-roar
170
+make %{?_smp_mflags}
171
+
172
+%install
173
+%makeinstall docdir=%{_docdir}/%{name}
174
+# missing dirs
175
+install -d \
176
+        %{buildroot}/var/lib/mpd/playlists \
177
+        %{buildroot}%{_sbindir}
178
+# additional docs
179
+install -m 0644 %{SOURCE2} \
180
+        AUTHORS COPYING NEWS README \
181
+        %{buildroot}%{_docdir}/%{name}/
182
+# copy example mpd.conf
183
+install -Dm0644 %{buildroot}%{_docdir}/%{name}/mpdconf.example %{buildroot}/etc/mpd.conf
184
+cp -a "%{SOURCE3}" "%{buildroot}%{_docdir}/%{name}/"
185
+%if 0%{?suse_version} >= 1210
186
+# do not use the mpd-supplied service file
187
+install -Dm0644 %{S:4} %{buildroot}/%{_unitdir}/%{name}.service
188
+pushd %{buildroot}%{_sbindir}
189
+ln -s service rcmpd
190
+%else
191
+# init scripts
192
+install -Dm0755 %{SOURCE1} %{buildroot}/etc/init.d/mpd
193
+ln -s -f ../../etc/init.d/mpd %{buildroot}%{_sbindir}/rcmpd
194
+%endif
195
+
196
+%pre
197
+# add mpd user only when installing first time
198
+if  "$1" = "1" ; then
199
+    useradd -G audio -s /bin/false -r -c "mpd user to run Music Player Daemon" \
200
+        -d "%{_localstatedir}/lib/%{name}" mpd &>/dev/null; true
201
+fi
202
+%if 0%{?suse_version} >= 1210
203
+%service_add_pre mpd.service
204
+%endif
205
+
206
+%post
207
+%if 0%{?suse_version} >= 1210
208
+%service_add_post mpd.service
209
+%else
210
+%{fillup_and_insserv -f mpd}
211
+%endif
212
+
213
+%preun
214
+%if 0%{?suse_version} >= 1210
215
+%service_del_preun mpd.service
216
+%else
217
+%stop_on_removal mpd
218
+%endif
219
+
220
+%postun
221
+# remove mpd user when uninstalling package
222
+if  "$1" = "0" ; then
223
+   userdel mpd &> /dev/null; true
224
+fi
225
+%if 0%{?suse_version} >= 1210
226
+%service_del_postun mpd.service
227
+%else
228
+%restart_on_update mpd
229
+%insserv_cleanup
230
+%endif
231
+
232
+%files
233
+%defattr(-,root,root)
234
+%config(noreplace) /etc/%{name}.conf
235
+%{_bindir}/%{name}
236
+%{_sbindir}/rcmpd
237
+%attr(0755,mpd,audio) %{_localstatedir}/lib/%{name}
238
+%{_mandir}/man1/%{name}.1*
239
+%{_mandir}/man5/%{name}.conf.5*
240
+%dir %{_docdir}/%{name}
241
+%doc %{_docdir}/%{name}
242
+%if 0%{?suse_version} >= 1210
243
+%{_unitdir}/%{name}.service
244
+%else
245
+%attr(0755,root,root) /etc/init.d/%{name}
246
+%endif
247
+
248
+%changelog
249
mpd-mpdconf_suse.patch Added
104
 
1
@@ -0,0 +1,102 @@
2
+diff -Naur a/doc/mpdconf.example b/doc/mpdconf.example
3
+--- a/doc/mpdconf.example  2014-10-27 03:26:34.000000000 -0500
4
++++ b/doc/mpdconf.example  2014-11-16 11:55:39.129278173 -0600
5
+@@ -17,7 +17,7 @@
6
+ # playlist files not created by the server but only if they are in the MPD
7
+ # format. This setting defaults to playlist saving being disabled.
8
+ #
9
+-#playlist_directory       "~/.mpd/playlists"
10
++#playlist_directory       "/var/lib/mpd/playlists"
11
+ #
12
+ # This setting sets the location of the MPD database. This file is used to
13
+ # load the database at server start up and store the database while the 
14
+@@ -25,7 +25,7 @@
15
+ # MPD to accept files over ipc socket (using file:// protocol) or streaming
16
+ # files over an accepted protocol.
17
+ #
18
+-#db_file          "~/.mpd/database"
19
++#db_file          "/var/lib/mpd/mpd.db"
20
+ # 
21
+ # These settings are the locations for the daemon log files for the daemon.
22
+ # These logs are great for troubleshooting, depending on your log_level
23
+@@ -34,25 +34,25 @@
24
+ # The special value "syslog" makes MPD use the local syslog daemon. This
25
+ # setting defaults to logging to syslog, otherwise logging is disabled.
26
+ #
27
+-#log_file         "~/.mpd/log"
28
++#log_file         "syslog"
29
+ #
30
+ # This setting sets the location of the file which stores the process ID
31
+ # for use of mpd --kill and some init scripts. This setting is disabled by
32
+ # default and the pid file will not be stored.
33
+ #
34
+-#pid_file         "~/.mpd/pid"
35
++#pid_file         "/var/lib/mpd/mpd.pid"
36
+ #
37
+ # This setting sets the location of the file which contains information about
38
+ # most variables to get MPD back into the same general shape it was in before
39
+ # it was brought down. This setting is disabled by default and the server 
40
+ # state will be reset on server start up.
41
+ #
42
+-#state_file           "~/.mpd/state"
43
++#state_file           "/var/lib/mpd/mpdstate"
44
+ #
45
+ # The location of the sticker database.  This is a database which
46
+ # manages dynamic information attached to songs.
47
+ #
48
+-#sticker_file         "~/.mpd/sticker.sql"
49
++#sticker_file         "/var/lib/mpd/sticker.sql"
50
+ #
51
+ ###############################################################################
52
+ 
53
+@@ -64,14 +64,14 @@
54
+ # initialization. This setting is disabled by default and MPD is run as the
55
+ # current user.
56
+ #
57
+-#user             "nobody"
58
++#user             "mpd"
59
+ #
60
+ # This setting specifies the group that MPD will run as. If not specified
61
+ # primary group of user specified with "user" setting will be used (if set).
62
+ # This is useful if MPD needs to be a member of group such as "audio" to
63
+ # have permission to use sound card.
64
+ #
65
+-#group                "nogroup"
66
++#group                "audio"
67
+ #
68
+ # This setting sets the address for the daemon to listen on. Careful attention
69
+ # should be paid if this is assigned to anything other then the default, any.
70
+@@ -206,15 +206,15 @@
71
+ #
72
+ # An example of an ALSA output:
73
+ #
74
+-#audio_output {
75
+-# type        "alsa"
76
+-# name        "My ALSA Device"
77
+-##    device      "hw:0,0"    # optional
78
+-##    mixer_type      "hardware"  # optional
79
+-##    mixer_device    "default"   # optional
80
+-##    mixer_control   "PCM"       # optional
81
+-##    mixer_index "0"     # optional
82
+-#}
83
++audio_output {
84
++  type        "alsa"
85
++  name        "My ALSA Device"
86
++  device      "hw:0,0"    # optional
87
++  mixer_type      "hardware"  # optional
88
++  mixer_device    "default"   # optional
89
++  mixer_control   "PCM"       # optional
90
++  mixer_index "0"     # optional
91
++}
92
+ #
93
+ # An example of an OSS output:
94
+ #
95
+@@ -378,7 +378,7 @@
96
+ # If file or directory names do not display correctly for your locale then you 
97
+ # may need to modify this setting.
98
+ #
99
+-#filesystem_charset       "UTF-8"
100
++filesystem_charset        "UTF-8"
101
+ #
102
+ # This setting controls the encoding that ID3v1 tags should be converted from.
103
+ #
104
mpd-sndfile-vorbis.patch Added
14
 
1
@@ -0,0 +1,12 @@
2
+diff -Naur a/configure.ac b/configure.ac
3
+--- a/configure.ac 2014-11-05 11:24:15.000000000 -0600
4
++++ b/configure.ac 2014-11-16 12:03:39.817261685 -0600
5
+@@ -1292,7 +1292,7 @@
6
+ 
7
+ dnl -------------------------------- libsndfile -------------------------------
8
+ dnl See above test, which may disable this.
9
+-MPD_AUTO_PKG(sndfile, SNDFILE, sndfile,
10
++MPD_AUTO_PKG(sndfile, SNDFILE, sndfile vorbis,
11
+   libsndfile decoder plugin, libsndfile not found)
12
+ 
13
+ if test x$enable_sndfile = xyes; then
14
README.mpd Added
109
 
1
@@ -0,0 +1,107 @@
2
+**************************************************************************
3
+* English version below, please read it carefully, it will save you some *
4
+*                               troubles!                                *
5
+**************************************************************************
6
+
7
+                  DEUTSCH
8
+********************************************************************
9
+* Bitte lesen Sie diese Beschreibung komplett durch, es wird Ihnen *
10
+*                         einigen Stress sparen!                   *
11
+********************************************************************
12
+
13
+Die Konfigurationsdatei /etc/mpd.conf muss auf jeden Fall angepasst
14
+werden, mindestens der Pfad zu den Musik-Verzeichnissen
15
+(music_directory). Ich kann ja nicht wissen, wo Sie Ihre MP3s ablegen
16
+;-)
17
+
18
+Falls Sie OSS anstatt von alsa verwenden, müssen Sie den entsprechenden
19
+Abschnitt aktivieren und den alsa-Abschnitt deaktivieren.
20
+
21
+MPD läuft aus Sicherheitsgründen unter eingeschränkten Benutzeraccount
22
+mpd, Gruppe audio. Denken Sie daran, dass das unter music_directory
23
+eingetragenes Verzeichnis für den Benutzer mpd bzw. für die Gruppe
24
+audio lesbar und ausführbar sein sollen, und auch alle Verzeichnisse
25
+auf dem Weg dorthin! Falls Sie sich wundern, was bei Verzeichnissen
26
+"ausführen" bedeuten soll - es ist ein Recht, in ein Verzeichnis zu
27
+wechseln. Ein Verzeichnis kann also dem Benutzer mpd gehören und für
28
+diesen lesbar sein, oder der Gruppe audio gehören und für diese lesbar
29
+sein, oder für alle lesbar sein. Verzeichnisse und Misukdateien darin
30
+müssen ebenfalls solche Rechte haben. Beispiele für richtige
31
+Berechtigungen (/mnt/mp3 ist das Verzeichnis in music_directory):
32
+
33
+ls -l -d /mnt/mp3
34
+
35
+für alle lesbar:
36
+drwxr-xr-x  226 user    users       16384 Mar 24 23:36 /mnt/mp3
37
+
38
+für die Gruppe audio lesbar
39
+drwxr-x---  226 user    audio       16384 Mar 24 23:36 /mnt/mp3
40
+
41
+für den Benutzer mpd lesbar
42
+drwx------  226 mpd    audio       16384 Mar 24 23:36 /mnt/mp3
43
+
44
+Falls Sie mehrere nicht einander zugeordnete Verzeichnisse unter MPD
45
+benutzen möchten, erklären Sie eins davon zum music_directory und
46
+verlinken Sie andere dort hinein. Die Zugriffsrechte für andere
47
+Verzeichnisse müssen ebenfalls wie oben beschrieben gesetzt sein.
48
+
49
+MPD wird an die lokale Adresse gebunden (localhost). Falls Sie MPD
50
+über Netzwerk steuern möchten, müssen Sie die Adresse entsprechend
51
+anpassen (bind_to_address zur einer Adresse die im Netz erreichbar
52
+ist) und eventuell ein Passwort und die ohne den Passwort erlaubte
53
+Funktionalitäten setzen.
54
+
55
+Um MPD beim Systemstart automatisch starten zu lassen, rufen Sie als
56
+root folgendes auf:
57
+
58
+insserv mpd
59
+
60
+Falls Umlaute oder andere Sonderzeichen in Dateienamen nicht richtig
61
+angezeigt werden,  überprüfen Sie die Angaben zur Kodierung des
62
+Dateisystems (filesystem_charset).
63
+
64
+Und nun viel Spaß! music_directory!
65
+
66
+                  ENGLISH
67
+mpd config file /etc/mpd.cond should be customised, at least a path to
68
+music directories (music_directory).
69
+
70
+To use oss sound output instead of alsa, activate the corresponding
71
+part of mpd.conf and put comment on alsa part.
72
+
73
+For security reasons, MPD runs as restricted user mpd, group
74
+audio. Please consider that music_directory and all directories in the
75
+path to it should be readable and executable either for user mpd or
76
+group audio. IF you ask youself what should "executable" means to
77
+a directory, it is a right to change into it. So a directory could
78
+either belong to mpd user or belong to the audio group or be readable
79
+for all (others). Directories and files beneath it should be accessable
80
+the same way. Some examples for right permissions:
81
+
82
+ls -l -d /mnt/mp3
83
+
84
+readable by everyone
85
+drwxr-xr-x  226 user    users       16384 Mar 24 23:36 /mnt/mp3
86
+
87
+readable by audio group
88
+drwxr-x---  226 user    audio       16384 Mar 24 23:36 /mnt/mp3
89
+
90
+readable by mpd user
91
+drwx------  226 mpd    audio       16384 Mar 24 23:36 /mnt/mp3
92
+
93
+If you would like to set up some independent directories, declare one
94
+of it as music_directory and link others in it. Permissions for other
95
+directories are to be set accordingly. 
96
+
97
+
98
+
99
+MPD will be bounded to the local address (localhost): If you would
100
+like to control it over network , then change bind_to_address to the
101
+network address. You can set password and the list of activities to
102
+restrict control of MPD over network.
103
+
104
+To start MPD at boot (init) time, call as root:
105
+insserv mpd
106
+
107
+If filenames or directory names don't display correctly, set the
108
+character set (encoding) for the filesystem in mpd.conf.
109
mpd-0.19.4.tar.xz Added
mpd-user.conf Added
55
 
1
@@ -0,0 +1,53 @@
2
+music_directory         "~/data/music"
3
+playlist_directory      "~/.mpd/playlists"
4
+db_file                 "~/.mpd/database"
5
+log_file               "~/.mpd/log"
6
+pid_file               "~/.mpd/pid"
7
+state_file             "~/.mpd/state"
8
+sticker_file           "~/.mpd/sticker.sql"
9
+bind_to_address            "127.0.0.1"
10
+port                   "6600"
11
+#bind_to_address       "~/.mpd/socket"
12
+#gapless_mp3_playback  "yes"
13
+save_absolute_paths_in_playlists   "no"
14
+metadata_to_use    "artist,album,title,track,name,date"
15
+auto_update    "yes"
16
+#auto_update_depth "3"
17
+follow_outside_symlinks    "yes"
18
+follow_inside_symlinks     "yes"
19
+zeroconf_enabled       "yes"
20
+zeroconf_name          "Music Player"
21
+#password                        "password@read,add,control,admin"
22
+#default_permissions             "read,add,control,admin"
23
+
24
+input {
25
+        plugin "curl"
26
+}
27
+
28
+audio_output {
29
+type       "pulse"
30
+name       "PulseAudio"
31
+}
32
+
33
+#audio_output {       
34
+#type        "jack"       
35
+#name        "mpd"
36
+#}
37
+
38
+audio_output_format        "48000:16:2"
39
+samplerate_converter       "Fastest Sinc Interpolator"
40
+
41
+#replaygain            "album"
42
+#replaygain_preamp     "0"
43
+#volume_normalization      "no"
44
+#audio_buffer_size     "2048"
45
+#buffer_before_play        "10%"
46
+#connection_timeout        "60"
47
+#max_connections       "10"
48
+#max_playlist_length       "16384"
49
+#max_command_list_size     "2048"
50
+#max_output_buffer_size        "8192"
51
+
52
+filesystem_charset     "UTF-8"
53
+#id3v1_encoding            "ISO-8859-1"
54
+
55
mpd.init Added
86
 
1
@@ -0,0 +1,84 @@
2
+#! /bin/sh
3
+#
4
+# Author: Davide Lucchesi <odiobill@despammed.com>, 2003
5
+#
6
+# /etc/init.d/mpd
7
+#
8
+# and its symbolic link
9
+#
10
+# /usr/sbin/rcmpd
11
+#
12
+# System startup script for the Music Player Daemon.
13
+#
14
+### BEGIN INIT INFO
15
+# Provides: mpd
16
+# Required-Start: $network $remote_fs
17
+# Should-Start: alsasound icecast
18
+# Required-Stop: $network
19
+# Should-Stop: alsasound icecast
20
+# Default-Start: 3 5
21
+# Default-Stop: 0 1 2 6
22
+# Description: This script takes care of managing the Music Player Daemon
23
+### END INIT INFO
24
+
25
+. /etc/rc.status
26
+
27
+# Reset status of this service
28
+rc_reset
29
+
30
+MPD_BIN="/usr/bin/mpd"
31
+MPD_CFG="/etc/mpd.conf"
32
+MPD_PID="/var/lib/mpd/mpd.pid"
33
+test -x $MPD_BIN || {
34
+   echo "$MPD_BIN not installed";
35
+   if  "$1" = "stop"  ; then
36
+       exit 0
37
+   else
38
+       exit 5
39
+   fi
40
+   }
41
+
42
+case "$1" in
43
+   start)
44
+       echo -n "Starting mpd "
45
+       startproc $MPD_BIN $MPD_CFG
46
+       rc_status -v
47
+       ;;
48
+   stop)
49
+       test -e $MPD_PID || {
50
+       echo "$MPD_PID doesn't exist!"
51
+       exit 0
52
+       }
53
+       echo -n "Shutting down mpd "
54
+       $MPD_BIN --kill
55
+       rc_status -v
56
+       ;;
57
+   try-restart)
58
+       $0 status
59
+       if test $? = 0; then
60
+           $0 restart
61
+       else
62
+           rc_reset
63
+       fi
64
+       rc_status
65
+       ;;
66
+   restart)
67
+       $0 stop
68
+       $0 start
69
+       rc_status
70
+       ;;
71
+    reload)
72
+       rc_failed 3
73
+       rc_status -v
74
+        ;;
75
+   status)
76
+       echo -n "Checking for mpd: "
77
+       checkproc $MPD_BIN
78
+       rc_status -v
79
+       ;;
80
+   *)
81
+       echo "Usage: $0 {start|stop|try-restart|restart|status}"
82
+       exit 1
83
+       ;;
84
+esac
85
+rc_exit
86
mpd.service Added
14
 
1
@@ -0,0 +1,12 @@
2
+Unit
3
+Description=Music Player Daemon
4
+After=network.target sound.target
5
+
6
+Service
7
+Type=forking
8
+ExecStart=/usr/bin/mpd /etc/mpd.conf
9
+ExecStop=/usr/bin/mpd --kill
10
+PIDFile=/var/lib/mpd/mpd.pid
11
+
12
+Install
13
+WantedBy=multi-user.target
14
Refresh
Refresh
Request History
Malcolm Lewis's avatar

malcolmlewis created request over 10 years ago

Updated to version 0.19.4. Please move to Multimedia rather than Essentials as needs libmpdclient to build. Plus not really essential...


Stefan Botter's avatar

jsjhb accepted request over 10 years ago

OK